package envoy.client.ui;

import envoy.data.Message;
import javafx.scene.control.Label;
import javafx.scene.control.ListCell;


/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>MessageListCell.java</strong><br>
 * Created: <strong>28.03.2020</strong><br>
 * 
 * @author Kai S. K. Engelbart
 * @since Envoy Client v0.1-beta
 */
public class MessageListCell extends ListCell<Message> {

	/**
	 * {@inheritDoc}
	 */
	@Override
	protected void updateItem(Message message, boolean empty) {
		super.updateItem(message, empty);
		if (!empty && message != null) setGraphic(new Label(message.getText()));
		else setGraphic(null);
	}
}
